Bug 36981 - up2date errors when installing new kernel
up2date errors when installing new kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-21 10:23 EDT by wbrower
Modified: 2015-01-07 18:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-05 16:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wbrower 2001-04-21 10:23:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-22 i686)


Using up2date-2.5.4-1 to install the several kernel-2.2.19-7.0.1 updates
gives the following messages:
Retrieving selected packages...
kernel-BOOT:                ##########################
Done.                   
kernel-doc:                 ##########################
Done.                   
kernel-enterprise:          ##########################
Done.                   
kernel-ibcs:                ##########################
Done.                   
kernel-pcmcia-cs:           ##########################
Done.                   
kernel-smp:                 ##########################
Done.                   
kernel-source:              ##########################
Done.                   
kernel-utils:               ##########################
Done.                   
Preparing...                ###########################################
[100%]
Traceback (innermost last):
  File "/usr/sbin/up2date", line 831, in ?
    main()
  File "/usr/sbin/up2date", line 806, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 589, in batchRun
    kernelsToInstall = up2date.installPackages(selPkgList, rpmCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 2158, in installPackages
    error = errors + e + "\n"
TypeError: illegal argument type for built-in operation

Tried a number of times from a shell & GUI with identical results.

Reproducible: Always
Steps to Reproduce:
1.up2date -u
2.
3.
	

Actual Results:  See description. Bombed.

Expected Results:  Should have installed the new kernel but not activated
it until the next boot.

Up2date has worked perfectly on every other attempt to use it (maybe 10
different times). This is the only time it crapped out. Since the failure,
it has done fine with mgetty fix.
Comment 1 Stephen C. Woods 2001-05-29 14:30:07 EDT
This also applies to 6.2 with identical symptoms
Comment 2 Adrian Likins 2002-02-11 18:14:11 EST
This is fixed with the current versions of the code( the errata releases)

Note You need to log in before you can comment on or make changes to this bug.